@charset "utf-8";

body {
  position: relative;
  line-height: 1.5;
  font-family: "Noto Sans JP", "Helvetica Neue", Arial, "Hiragino Kaku Gothic ProN", "Hiragino Sans", Meiryo, sans-serif;
  font-size: 14px;
  font-weight: 600;
  font-style: normal;
  letter-spacing: 0.03em;
  color: #2d2f33;
  background: #fff;
}

/* header */
header {
  position: fixed;
  width: 100%;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  flex-wrap: nowrap;
  align-items: center;
  font-family: "Zen Old Mincho", serif;
  font-weight: 400;
  background-color: rgba(255, 255, 255, 0.9);
}

header .logo {
  padding-left: 25px;
  width: 130px;
}

@media screen and (min-width: 950px) {
  header .logo {
    padding-left: 40px;
    width: 160px;
  }
}

header .logo svg {
  display: block;
  max-width: 100%;
}

header .link a {
  position: relative;
  font-weight: 500;
  background-color: rgb(145, 56, 50);
  color: rgb(255, 255, 255);
  padding: 4px 30px 5px 18px;
  text-decoration: none;
  font-size: 13px;
  transition: opacity 0.3s;
  height: 35px;
  display: flex;
  -webkit-box-align: center;
  align-items: center;
}

@media screen and (min-width: 950px) {
  header .link a {
    height: 45px;
  }
}

header .link a::after {
  position: absolute;
  top: 50%;
  right: 15px;
  display: block;
  width: 6px;
  height: 6px;
  content: "";
  border-top: 1px solid rgb(255, 255, 255);
  border-right: 1px solid rgb(255, 255, 255);
  rotate: 45deg;
  translate: 0px -50%;
}

/* heroImage */
.heroImage {
  margin: 0 auto 40px;
  padding-top: 74px;
  display: block;
  width: 900px;
  max-width: 100%;
  height: auto;
  overflow: hidden;
}

@media screen and (min-width: 768px) {
  .heroImage {
    padding-top: 124px;
  }
}

.heroImage img {
  display: block;
  width: 100%;
}

@media screen and (max-width: 767px) {
  .heroImage img {
    margin-left: -22%;
    width: 144%;
  }
}

/* contents */
.contents {
  margin: 0 auto;
  padding: 0 25px;
  max-width: 900px;
}

.body img {
  width: 100%;
  display: block;
}

.pageTitle {
  margin: 40px 0;
  font-family: "Zen Old Mincho", serif;
  font-weight: 500;
  line-height: 1.5;
  color: rgb(45, 47, 51);
  letter-spacing: 0.04em;
  font-size: clamp(22px, 4.5vw, 26px);
}

/* 目次 */
.toc {
  margin-top: 100px;
  padding: 25px 15px;
  border: 1px solid #2d2f33;
  font-family: Verdana, Geneva,'Helvetica Neue', 'Segoe UI', 'Hiragino Sans', 'Hiragino Kaku Gothic ProN', YuGothic, Meiryo, 'Yu Gothic', sans-serif;
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  letter-spacing: 0.8px;
}

.tocTitle {
  margin-bottom: 2em;
  font-family: "游ゴシック Medium", "Yu Gothic Medium", 游ゴシック体, "Yu Gothic", YuGothic, "Hiragino Kaku Gothic Pro", "ヒラギノ角ゴ Pro W3", Meiryo, メイリオ, "MS PGothic", Osaka, arial, sans-serif;
  font-size: 20px;
  font-style: normal;
  text-align: center;
  text-decoration: underline;
}

.toc li {
  margin-top: 1.6em;
}

.toc a {
  text-decoration: none;
}

/* 見出し */
h2 {
  margin: 120px 0 50px;
  font-family: "Zen Old Mincho", serif;
  font-weight: normal;
  line-height: 1.5;
  color: rgb(45, 47, 51);
  letter-spacing: 0.04em;
  font-size: clamp(16px, 4vw, 18px);
}

@media screen and (min-width: 768px) {
  h2 {
    margin: 160px 0 70px;
  }
}

h2::after {
  content: "";
  display: block;
  height: 1px;
  margin-top: 20px;
  background-image: linear-gradient(to right, rgb(216, 196, 133) 50px, rgb(242, 242, 242) 50px);
}

@media screen and (min-width: 768px) {
  h2::after {
    margin-top: 30px;
    background-image: linear-gradient(to right, rgb(216, 196, 133) 100px, rgb(242, 242, 242) 100px);
  }
}

h3 {
  border-left: 8px solid #ffefd5;
  margin: 2em 0 1em;
  padding: 0.8em;
  font-family: Verdana, Geneva, sans-serif;
  font-size: 116%;
}

/* ブライダルフェア予約ボタン */
.reserve,
.anchorLink {
  margin: 1.5em auto 6em;
  text-align:center;
}

.reserve p:first-of-type {
  font-size: 106%;
}

.reserve a,
.anchorLink a {
  margin-top: 6px;
  padding: 12px 30px;
  background-color: #aa1202;
  border-radius: 25px;
  border-style: none;
  color: #fff;
  display: inline-block;
  font-size: 16px;
  text-decoration: none;
}

.anchorLink a {
  margin-right: auto;
  margin-left: auto;
  border-radius: 15px;
  position: relative;
  font-size: 14px;
  display: block;
  max-width: 280px;
}

.anchorLink a::after {
  position: absolute;
  top: 50%;
  right: 15px;
  display: block;
  width: 6px;
  height: 6px;
  content: "";
  border-top: 1px solid rgb(255, 255, 255);
  border-right: 1px solid rgb(255, 255, 255);
  rotate: 45deg;
  translate: 0px -50%;
}

/* コンテンツ内画像 */
figure:not([class]) img {
  margin: 12px 0;
  display: block;
  max-width: 100%;
}

/* footer */
footer {
  margin-top: 8em;
  padding: 1.2em 10px;
  font-family: "Zen Old Mincho", serif;
  font-weight: 400;
  text-align: center;
  font-size: 11px;
  color: #fff;
  background-color: rgb(145, 56, 50);
}
